# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
org.apache.velocity.spring.VelocityEngineUtils.mergeTemplate(VelocityEngine, String, Map<String, Object>, Writer)
Use `VelocityEngineUtils.mergeTemplate(VelocityEngine, String, String, Map, Writer)` instead, following Velocity 1.6's corresponding deprecation in its own API.
org.apache.velocity.spring.VelocityEngineUtils.mergeTemplateIntoString(VelocityEngine, String, Map<String, Object>)
Use `VelocityEngineUtils.mergeTemplateIntoString(VelocityEngine, String, String, Map)` instead, following Velocity 1.6's corresponding deprecation in its own API.